# IFrictionlessFundDepositToken

[Git Source](https://gitlab.com/dfyclabs/protocol/dfyclabs-tokens/blob/85f6dfa54ce0787eb1b1345bd6726f84fe766c54/contracts/interface/IFrictionlessFundDepositToken.sol)

**Inherits:** IBasicFrictionlessToken

**Author:** DEFYCA Labs S.à.r.l

Copyright © 2023 DEFYCA Labs S.à.r.l Permission is hereby granted, free of charge, to any person obtaining a copy of the Frictionless protocol smart contracts (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice (including the next paragraph) shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL DEFYCA LABS S.à.r.l BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

A Fund Deposit Token represents a permissioned Investors FIAT contribution to a specific fund IBAN in a denominated FIAT currency. The Fund Deposit Token is used as a means of payment and settlement. The Fund Deposit Token can only be transferred between permissioned Investors in the fund. A daily attestation of the fund IBAN serves to prove the 1:1 backing with FIAT. Exclusively under Frictionless Markets S.à.r.l issuance terms Investors holding a `FrictionlessFundDepositToken` have the legal right to the FIAT value held in the fund IBAN account.

## Functions

### setInitData

*Sets the immutable data for the `FrictionlessFundDepositToken`*

```solidity
function setInitData(FFDImmutableData calldata initData) external;
```

**Parameters**

| Name       | Type               | Description                                               |
| ---------- | ------------------ | --------------------------------------------------------- |
| `initData` | `FFDImmutableData` | the immutable data for the `FrictionlessFundDepositToken` |

### getCurrency

*Get the currency the FIAT denomination of the deposit token.*

```solidity
function getCurrency() external view returns (string memory);
```

**Returns**

| Name     | Type     | Description                                              |
| -------- | -------- | -------------------------------------------------------- |
| `<none>` | `string` | the currency the FIAT denomination of the deposit token. |

### getDescription

*Get the description the description of the deposit token.*

```solidity
function getDescription() external view returns (string memory);
```

**Returns**

| Name     | Type     | Description                                          |
| -------- | -------- | ---------------------------------------------------- |
| `<none>` | `string` | the description the description of the deposit token |

### getFundIBAN

*Get the IBAN which Frictionless Markets S.à.r.l holds a matching FIAT currency ledger with a G-SIB for this currency, attestations are provided on this IBAN. This is restricted to onlyAgent roles.*

```solidity
function getFundIBAN() external returns (string memory);
```

**Returns**

| Name     | Type     | Description                                                                                                                                               |
| -------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<none>` | `string` | the IBAN which Frictionless Markets S.à.r.l holds a matching FIAT currency ledger with a G-SIB for this currency, attestations are provided on this IBAN. |

## Errors

### FrictionlessFundDepositTokenUnableToUpdateInitData

*error throw if there is an attempt to modify the immutable data.*

```solidity
error FrictionlessFundDepositTokenUnableToUpdateInitData();
```

## Structs

### FFDImmutableData

*Struct which represents the immutable data in the Token. Once set it cannot be modified.*

```solidity
struct FFDImmutableData {
    string currency;
    string description;
    string fundIBAN;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frictionless.markets/developer/smart-contracts/smart-contract-docs/frictionless-tokens/ifrictionlessfunddeposittoken.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
